
// peak
Double_t peak(Double_t *x, Double_t *par) {
	return TMath::Gaus(x[0],par[0],par[1],par[2]);
}

// linear background
Double_t line(Double_t *x, Double_t *par) {
	return par[0] + par[1]*x[0];
}

// Sum of 4 peaks
Double_t FitFunction4(Double_t *x, Double_t *par ) {
	return par[0]*peak(x,&par[1]) + par[4]*peak(x,&par[5]) + par[8]*peak(x,&par[9]) + par[12]*peak(x,&par[13]);
}

// 4 peaks + linear background 
Double_t Bi207_1MeV(Double_t *x, Double_t *par) {
	
	par[6]	=	par[2]*(1.84/7.03);
	par[7]	=	par[3]*(1047.795/975.651);
	par[10]	=	par[2]*(0.54/7.03);
	par[11]	=	par[3]*(1059.805/975.651);
	par[15]	=	par[2]*(857.639/975.651);
	
	return line(x,par)+FitFunction4(x,&par[2]);
}
